Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMCloneable

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  QDMAttributes, QDMCoin, QDMContentModel, QDMElements, QDMEnum, QDMExcludes, QDMExtends, QDMId, QDMImplements, QDMQDML, QDMRange, QDMRem

public class QDMCloneable
extends Object
implements Cloneable

A publicly cloneable object.

The clone() method on java.lang.Object is protected, while the clone() method on QDMCloneable is public.

Additional static support methods are provided.

One of the assumptions made here is that objects which extend QDMCloneable have clones which also extend QDMCloneable.

Constructor Summary
`QDMCloneable()`

Method Summary
`Object` | `clone()` Returns a copy of this object.
`static ArrayList` | `clone(ArrayList l)` Deep clone a list of QDMCloneable objects.
`static QDMCloneable` | `clone(QDMCloneable c)` Clone a QDMCloneable object, but first check for null!

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QDMCloneable

    public QDMCloneable()

Method Detail

### clone

    public Object clone()

  Returns a copy of this object. This is a public method which overrides the protected method on java.lang.Object.

  It is expected that this method will be overridden by classes which extend QDMCloneable, the result being a deep clone.

  Overrides:
    `clone` in class `Object`

### clone

    public static ArrayList clone(ArrayList l)

  Deep clone a list of QDMCloneable objects. A convenience method that clones an ArrayList and its contents.

  It is assumed that all the objects in the list extend QDMCloneable.

### clone

    public static QDMCloneable clone(QDMCloneable c)

  Clone a QDMCloneable object, but first check for null!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD